;
;  Mailer-Self-Definition (MSD) Datei fr Binkley XE (englisch,
;  ohne Tausendsel-Angabe bei der Uhrzeit) fr tqBusy.
;  ------------------------------------------------------------------
;
;  Schicke Grsse an Marcel Becker, von dem ich dieses "Format" im
;  groben bernommen habe.
;  ------------------------------------------------------------------
;
;  ALLGEMEIN: es gibt folgende "Parameter-Arten", die in einem MSD-File
;  angegeben werden [mssen/knnen] (je nach Keyword):
;   a) <xpos>,<string>: <xpos> gibt hierbei die Spalte an, in der
;      der <string> stehen muss. Dieser Parametertyp wird verwendet,
;      um bestimmte Zeilen zu validieren.
;      <string> muss in Anfhrungsstrichen (") stehen und es drfen
;      keine Leerzeichen zwischen <xpos> und <string> vorhanden sein.
;   b) <xpos>,<length>: Datums-/Zeiterkennung (s.u.)
;   c) <start>,<end>: dieses ist der mchtigste Parameter. <start>
;      gibt hierbei an, wo mit dem Auslesen begonnen werden soll,
;      <end> legt das Ende fest.
;
;      Fr <start>/<end> gilt folgendes Format:
;       1) string=<string>[*<mult>][+<diff>]
;       2) absPos=<xpos>
;       3) wordNr=<wortNr>[+<diff>]
;      <string> ist hierbei wiederum eine Zeichenkette (durch ["]
;       eingeschlossen). Es wird hierbei die Stelle zurckgeliefert,
;       wo <string> anfngt, bzw die Spalte vor dem String (wenn als
;       <end> angegeben.
;      *<mult> ist optional und gibt an, ab der wievielten Zeichenkette
;       gematcht werden soll ('string="/"*2' wrde den zweiten '/'
;       "zurckliefern").
;      +<diff> ist eine zustztliche, relative Verschiebung. Natrlich
;       kann hier auch -<diff> angegeben werden.
;      <xpos> gibt eine absolute, statische Spaltenposition an.
;      <wortNr>: hierber kann eine bestimmte Wortnummer angegeben werden.
;       'wordNr=5+3' wrde zB ab dem Anfang des 5. Wortes lesen, allerdings
;       um 3 Spalten nach rechts verschoben. Wrter werden durch Leerzeichen
;       getrennt.
;      Fr <end> kann ausserdem EOL (end of line) angegeben werden. Damit
;      wird bis zum Ende der jeweiligen Zeile gelesen.
;
;
;  Schlsselwrter mit einem <xpos>,<string>-Parameter knnen mehrfach
;  angegeben werden. Sie werden der Reihe nach durchsucht und falls einer
;  zutrifft, gilt die Bedingung als erfllt. Es sei denn, eine der
;  *_NOT-Angaben trifft auch zu. *_NOT-Angabe heisst, dass hinter das
;  Schlsselwort mit <xpos>,<string>-Parameter ein '_not' angehngt wird.
;  zB wrde 'IDENT_VALID_LINE_NOT 2,"%"' keine Zeilen "durchlassen", deren
;  zweites Zeichen ein '%' ist.
;
;  Die *_SIGN- und *_SIGN_NOT-Schlsselwrter bestimmen darber, ob die
;  dazugehrigen Infos aus der momentanen Zeile ausgelesen werden sollen.
;  MAILER_TASK wird zB nur dann ausgelesen, wenn vorher MAILER_TASK_SIGN
;  auf die Zeile zugetroffen hat und die Zeile nicht durch
;  MAILER_TASK_SIGN_NOT ignoriert wird.
;  
;
;  ------------------------------------------------------------------
;  Jetzt aber mal los:
;
;
; ZEIT-ANGABE: Ist das Datum in jeder Logfilezeile angegeben oder
; wird es nur sporadisch (z.B. beim Starten des Mailers oder zu Beginn
; einer Session) in das Log geschrieben?
; Es reicht, wenn Tag und Monat in jeder Zeile angegeben ist.
;
DATE_IN_EACH_LINE


;
; Wenn bei DATE_IN_EACH_LINE YES angegeben wurde, muss mit IDENT_DATE_LINE
; festgelegt werden, wie die Zeile, in der das Datum steht, identifiziert
; werden kann (anhand von markanten Zeichenketten).
;  Syntax: IDENT_DATE_LINE <xpos>,<string>
;
; IDENT_DATE_LINE 1,"----------"
;


; Woran ist eine gltige Log-Zeile zu erkennen?
; Hier sind die Zeilen gemeint, die die normalen Logfile-Eintrge und stets
; auch die Uhrzeit enthalten. Diese Identifizierung ist nicht zwingend ntig,
; kann aber, z.B. wenn auch andere Programme ihre Daten in dieses Logfile
; schreiben evt. Fehlinterpretationen vermeiden. Wird dieses Keyword nicht
; angegeben, gelten alle Zeilen als gltig.
;  Syntax: IDENT_VALID_LINE <xpos>,<string>
;
IDENT_VALID_LINE 2," "
IDENT_VALID_LINE 12,":"
IDENT_VALID_LINE 15,":"



;
; DATUM: Wurde bei DATE_IN_EACH_LINE YES angegeben, so wird das Datum
; in jeder nach IDENT_VALID_LINE gltigen Zeile ausgelesen, andernfalls
; wird es nur aus den durch IDENT_DATE_LINE identifizierten Zeilen ausgelesen.
; Die Position innerhalb der Zeile und das Format von Jahr, Monat und Tag
; wird durch folgende Befehle festgelegt:
;    DATE_DAY <xpos>
;    DATE_MONTH <xpos>,<length>
;    DATE_YEAR <xpos>,<length>
; <xpos>   gibt die Spalte an, in der der Eintrag beginnt
; <length> gibt die Lnge des Eintrages an.
;          Der Monatseintrag kann als Zahl dargestellt werden. Dann hat er
;          eine Lnge von 2. Er kann aber auch in den englischen Monatskrzeln
;          (Jan, Feb,...) dargestellt sein. Dann hat er eine Lnge von 3.
;          Beim Jahr gibt es die Lngen 4 (vollstndige Jahreszahl, z.B. 1996)
;          und 2 (gekrzte Jahreszahl, z.B. 96).
; DATE_YEAR muss nicht angegeben werden - allerdings bentigt tqBusy dann in
; der Mailerlog-Angabe eine Information ber das Erstellungsjahr der Datei
; (Parameter 'create' beim Keyword 'MailerLog').
;
;
DATE_DAY 3
DATE_MONTH 6,3
;DATE_YEAR



;
; ZEIT: Die Zeit wird aus jeder nach IDENT_VALID_LINE gltigen Zeile ausge-
; lesen. Die Syntax fr die Positionsangabe ist folgende:
;    TIME <xpos>,<length>
; <length> gibt die Lnge des Eintrages an.
;          Gewhnlich ist ein Zeiteintag 8 Zeichen lang (z.B. 10:15:20).
;          Es kann aber auch sein, dass der Zeiteintrag keine Sekundenangabe
;          enthlt. Dann hat er nur eine Lnge von 5 (z.B. 10:15).
;          Ausserdem sind noch die Lngen 4 und 6 zulssig (eben ohne
;          Trennzeichen (zB 101520 oder 1015).
;
TIME 10,8



;
; TASKNR: Wo steht die Tasknummer?
;   Syntax: MAILER_TASK_SIGN <xpos>,<string>
;           MAILER_TASK <start>,<end>
;
;MAILER_TASK_SIGN
;MAILER_TASK



;
; BEGINN EINES EINGEHENDEN ANRUFS: Wodurch ist die Zeile gekennzeichnet,
; in der das Modem ein Klingeln meldet (RING) ?
;  Syntax: START_IN_CALL <xpos>,<string>
;
START_IN_CALL 24,"'RING"
START_IN_CALL 24,"'RING "
START_IN_CALL_NOT 24,"'RINGING"



;
; VERBINDUNGSAUFBAU EINES EINGEHENDEN ANRUFS: Wodurch ist die Zeile ge-
; kennzeichnet, die den CONNECT eines eingehenden Anrufs meldet? (Meistens
; sind die Connect-Zeilen fr ein- und ausgehende Anrufe identisch.)
;  Syntax: CONNECT_IN_CALL <xpos>,<string>
;
CONNECT_IN_CALL 24,"'CONNECT "



;
; BEGINN EINES AUSGEHENDEN ANRUFS: Wodurch ist die Zeile gekennzeichnet,
; in der das Whlen des Modems protokoliert wird?
;  Syntax: START_OUT_CALL <xpos>,<string>
;
START_OUT_CALL 24,"Dialing"



;
; VERBINDUNGSAUFBAU EINES AUSGEHENDEN ANRUFS: Wodurch ist die Zeile ge-
; kennzeichnet, die den CONNECT eines ausgehenden Anrufs meldet? (Meistens
; sind die Connect-Zeilen fr ein- und ausgehende Anrufe identisch.)
;  Syntax: CONNECT_OUT_CALL <xpos>,<string>
;
CONNECT_OUT_CALL 24,"'CONNECT "



;
; VERBINDUNGSAUFBAU EINES FAX-ANRUFS: Wodurch ist die Zeile ge-
; kennzeichnet, die den CONNECT eines Fax-Anrufs meldet?
;  Syntax: CONNECT_FAX_CALL <xpos>,<string>
;
CONNECT_FAX_CALL 24,"+FCO"



;
; AKA: Wie soll tqBusy die Aka des anrufenden/angerufenen Systems bestimmen?
; AKA_SIGN  gibt an, woran die Zeile zu erkennen ist, in der sich der Eintrag
; befindet.
;  Syntax: AKA_SIGN <xpos>,<string>
;
; AKA gibt an, wo der Eintrag beginnt und endet.
;          AKA      <start>,<end>
;
AKA_SIGN 24,"Seconds: "
;AKA_SIGN_NOT 24,"Lost Carrier"
;AKA_SIGN_NOT 24,"Intro:"
;AKA_SIGN_NOT 24,"Seconds:"
AKA string="System: "+8,EOL



;
; GESCHWINDIGKEIT: wie und wo soll tqBusy die Geschwindigkeit der Connects
; auslesen?
;  Syntax: SPEED_SIGN <xpos>,<string>
;          SPEED <start>,<end>
SPEED_SIGN 24,"'CONNECT "
SPEED string="'CONNECT "+9,string="/"



;
; DAUER: die Dauer eines Connects.
;  Syntax: DURATION_SIGN <xpos>,<string>
;          DURATION <start>,<end>
; Das Ergebnis kann sowohl eine ganze Zahl (Sekunden), sowie eine Zeichenkette
; in der Form hh:mm:ss oder mm:ss sein.
;
DURATION_SIGN 24,"Seconds: "
DURATION absPos=33,string="Tariff"-2



;
; KOSTEN: die Kosten (eigene und die der Gegenstelle).
;  Syntax: COST_OWN_SIGN <xpos>,<string>
;          COST_OWN <start>,<end>
;  Syntax: COST_OTHER_SIGN <xpos>,<string>
;          COST_OTHER <start>,<end>
;
COST_OWN_SIGN 24,"Seconds: "
COST_OWN string="Fee: "+5,string="RFee:"-2
COST_OTHER_SIGN 24,"Seconds: "
COST_OTHER string="RFee: "+6,string="System:"-2



;
; SYSTEM-NAME: der Name des anrufenden/angerufenen Systems.
;  Syntax: SYSTEM_NAME_SIGN <xpos>,<string>
;          SYSTEM_NAME      <start>,<end>
;
;  Falls das Parsen von SYSTEM_NAME eine leere Zeichenkette liefert,
;  wird der (leere) Wert nicht bernommen.
;
SYSTEM_NAME_SIGN 24,"System: "
;SYSTEM_NAME_SIGN_NOT 24,"Lost Carrier"
;SYSTEM_NAME_SIGN_NOT 24,"Intro:"
;SYSTEM_NAME_SIGN_NOT 24,"Seconds:"
SYSTEM_NAME absPos=32,string=" ("



;
; SYSOP-NAME: der Name des Sysops des anrufenden/angerufenen Systems.
;  Syntax: SYSOP_NAME_SIGN <xpos>,<string>
;          SYSOP_NAME      <start>,<end>
;  Falls SYSOP_NAME_2 angegeben ist, wird dieser beachtet, falls das Ergebnis
;  von SYSOP_NAME leer ist.
;
;  Falls das Parsen von SYSOP_NAME und SYSOP_NAME_2 eine leere Zeichenkette
;  liefert, wird der (leere) Wert nicht bernommen.
;
SYSOP_NAME_SIGN 24,"Sysop : "
SYSOP_NAME absPos=32,string=" from"
; falls SYSOP_NAME nix zurckliefert:
SYSOP_NAME_2 absPos=32,EOL



;
; DATEIGRSSEN: die Grsse der empfangenen/gesendeten Dateien.
;  Syntax: FILE_IN_SIZE_SIGN <xpos>,<string>
;          FILE_IN_SIZE      <start>,<end>
;
FILE_IN_SIZE_SIGN 24,"Received: "
FILE_IN_SIZE string="/"+1,string="K Sent:"
FILE_IN_SIZE_MULT 1024



;
; Ebenso wie bei empfangenen, hier nun die Definition fr die gesendeten
; Dateien mit den Schlsselwrtern FILE_OUT_SIZE_SIGN und FILE_OUT_SIZE.
;
FILE_OUT_SIZE_SIGN 24,"Received: "
FILE_OUT_SIZE string="/"*2+1,string="K Total:"
FILE_OUT_SIZE_MULT 1024



;
; ONLINE-USER: Woran ist erkennbar, da es sich um einen Onlineuser-Anruf
; handelt (bergabe zur BBS)?
; Syntax: ONLINE_USER <xpos>,<string>
;
ONLINE_USER 24,"Spawning"
; ONLINE_USER 24,"Exiting to"



;
; SESSION-ENDE: Wodurch ist das Ende einer Session gekennzeichnet?
;  Syntax: END_OF_SESSION <xpos>,<string>
;
END_OF_SESSION 24,"Seconds:"
END_OF_SESSION 24,"begin"
END_OF_SESSION 24,"end"
;
;
;
; EOF (Puh..)
;
